/**
 * Log.java
 *
 * Copyright (C) 2007 Paul R. Pierce
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, see http://www.gnu.org/licenses/gpl.txt
 */
package org.avparade.xml;


/**
 * org.avparade.xml.Log
 *
 */
public interface Log extends XMLDocumentBased {
	String AccessEntry = "access";
	String NoteEntry = "note";
	String Id = "id";
	String Type = "type";
	String Time = "time";
	
	void add(String entry);
	void add(org.w3c.dom.Element entry);
	org.w3c.dom.Element mostRecent(String entryName, String id);
	java.util.Calendar whatTime(org.w3c.dom.Element entry);
	void flush() throws Exception;
}
